//
//  MapPointAnnotationExtension.swift
//  OrderScheduling
//
//  Created by 中道 on 2024/1/10.
//

import Foundation
import DDMAMapKit_Private

extension MAPointAnnotation {
    struct DDMAPointAnnotationKey {
        static var vehicleIdKey : Int = 0
    }
    public var vehicleId : Int? {
        get {
            return objc_getAssociatedObject(self, &DDMAPointAnnotationKey.vehicleIdKey) as? Int
        }
        set {
            objc_setAssociatedObject(self, &DDMAPointAnnotationKey.vehicleIdKey, newValue, .OBJC_ASSOCIATION_RETAIN_NONATOMIC)
        }
    }
}
